Don't wait for the Dev Team Jailbreak...

Discussion in 'iPod touch 1.1.3 Jailbreak' started by vbelo, Jan 26, 2008.

  1. vbelo

    vbelo New Member

    Joined:
    Jan 9, 2008
    Messages:
    13
    Likes Received:
    0
  2. kitren2

    kitren2 New Member

    Joined:
    Nov 12, 2007
    Messages:
    1,383
    Likes Received:
    13
    Device:
    iPod touch
    No they are still working on theres so its not illegal to jailbreak and theres will be much easier, safer, and cleaner. Also I bet much more app programers will have there apps working with 1.1.3 with the dev. teams jailbreak. i'll be waiting.
  3. Evalocity7

    Evalocity7 New Member

    Joined:
    Nov 26, 2007
    Messages:
    1,159
    Likes Received:
    17
    Device:
    3G iPod touch
    Basically Nate released the beta version of the 1.1.3 jailbreak...Although it might work now, it is still very illegal and he got himself kicked from the Dev team...Obviously he's an attention whore and wanted to get all the credit for himself.

    I have not installed the 1.1.3 jailbreak yet, and I don't plan to until the Dev Team releases the official, easier and safer method to get the jailbreak.
  4. kyleshelton01

    kyleshelton01 New Member

    Joined:
    Jan 10, 2008
    Messages:
    188
    Likes Received:
    4
    Yeah I think I am waiting also..... I wish they would come out with it soon though!
  5. kitren2

    kitren2 New Member

    Joined:
    Nov 12, 2007
    Messages:
    1,383
    Likes Received:
    13
    Device:
    iPod touch
    kyle if you think about it waiting is better. I'll list some reasons. Better, faster, easier, safer, legall jailbreak will be produced. More apps will work for 1.1.3. Better working apps. Less problems. And easier jailbreaks later on.
  6. xlRiot

    xlRiot Member

    Joined:
    Oct 5, 2007
    Messages:
    280
    Likes Received:
    0
    Device:
    iPhone 4 (White)
    well heres a thought, why wont you use his jailbreak, and when they release, you downgrade then use their jailbreak method.
  7. lasttouch

    lasttouch New Member

    Joined:
    Nov 9, 2007
    Messages:
    175
    Likes Received:
    1
    yes, i think too that it could become problematic in the future - when you use this jb from natetrue - to simply upgrade to 1.1.4 or 2.0 or whatever.

Share This Page